<?php
/*
 +-------------------------------------------------------------------------+
 | Copyright (C) 2011 Herve Donati <herve.donati@ac-caen.fr>               |
 |                                                                         |
 | This program is free software; you can redistribute it and/or           |
 | modify it under the terms of the GNU General Public License             |
 | as published by the Free Software Foundation; either version 2          |
 | of the License, or (at your option) any later version.                  |
 |                                                                         |
 | This program is distributed in the hope that it will be useful,         |
 | but WITHOUT ANY WARRANTY; without even the implied warranty of          |
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           |
 | GNU General Public License for more details.                            |
 +-------------------------------------------------------------------------+
 |                                                                         |
 |  Author    : Herve Donati                                               |
 |  Contact   : herve.donati@ac-caen.fr                                    |
 |  Home Site : http://www.ac-caen.fr/                                     |
 |  Program   : timeshift                                                  |
 |  Version   : 0.1.1                                                      |
 |  Purpose   : View a graph on several same timespans                     |
 +-------------------------------------------------------------------------+
*/


function plugin_timeshift_install () {
    api_plugin_register_hook('timeshift', 'top_header_tabs', 'timeshift_show_tab', 'setup.php');
    api_plugin_register_hook('timeshift', 'top_graph_header_tabs', 'timeshift_show_tab', 'setup.php');
    api_plugin_register_hook('timeshift', 'draw_navigation_text', 'timeshift_draw_navigation_text', 'setup.php');
    api_plugin_register_realm('timeshift', 'timeshift.php', 'Plugin -> Timeshift', 1);
}

function plugin_timeshift_uninstall () {
}

function plugin_timeshift_version () {
    return array ( 'name'     => 'timeshift',
                   'version'  => '0.1',
                   'longname' => 'See graph on successive same timespans',
                   'author'   => 'Herve Donati',
                   'homepage' => 'http://www.cacti.net',
                   'email'    => 'herve.donati@ac-caen.fr',
                   'url'      => ''
                 );
}

function timeshift_version () {
    return plugin_timeshift_version();
}

function plugin_timeshift_check_config () {
    return true;
}

function timeshift_show_tab () {
    global $config;
    if (api_user_realm_auth('timeshift.php')) {
        if (substr_count($_SERVER["REQUEST_URI"], "timeshift")) {
            print '<a href="' . $config['url_path'] . 'plugins/timeshift/timeshift.php"><img src="' . $config['url_path'] . 'plugins/timeshift/images/tab_timeshift_down.png" alt="TimeShift" align="absmiddle" border="0"></a>';
        } else {
            print '<a href="' . $config['url_path'] . 'plugins/timeshift/timeshift.php"><img src="' . $config['url_path'] . 'plugins/timeshift/images/tab_timeshift.png" alt="TimeShift" align="absmiddle" border="0"></a>';
        }
    }
}

function timeshift_draw_navigation_text($nav)
{
    $nav["timeshift.php:"] = array("title" => "TimeShift", "mapping" => "index.php:", "url" => "timeshift.php", "level" => "1");
    $nav["timeshift_res.php:"] = array("title" => "TimeShift Result", "mapping" => "index.php:", "url" => "timeshift_res.php", "level" => "1");
    return $nav;
}
?>
